---
title: CSSMathValue.operator
slug: Web/API/CSSMathValue/operator
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathValue
  - Experimental
  - Houdini
  - Operator
  - Property
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSMathValue.operator</code></strong> read-only property of the {{domxref("CSSMathValue")}} interface indicates the operator that the current subtype represents. For example, if the current <code>CSSMathValue</code> subtype is <code>CSSMathSum</code>, this property will return the string <code>"sum"</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>aString</em> = CSSMathValue.operator;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('String')}}.</p>

<table>
 <thead>
  <tr>
   <th>Interface</th>
   <th>Value</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>{{domxref('CSSMathSum')}}</code></td>
   <td><code>"sum"</code></td>
  </tr>
  <tr>
   <td><code>{{domxref('CSSMathProduct')}}</code></td>
   <td><code>"product"</code></td>
  </tr>
  <tr>
   <td><code>{{domxref('CSSMathMin')}}</code></td>
   <td><code>"min"</code></td>
  </tr>
  <tr>
   <td><code>{{domxref('CSSMathMax')}}</code></td>
   <td><code>"max"</code></td>
  </tr>
  <tr>
   <td><code>{{domxref('CSSMathClamp')}}</code></td>
   <td><code>"clamp"</code></td>
  </tr>
  <tr>
   <td><code>{{domxref('CSSMathNegate')}}</code></td>
   <td><code>"negate"</code></td>
  </tr>
  <tr>
   <td><code>{{domxref('CSSMathInvert')}}</code></td>
   <td><code>"invert"</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>We create an element with a <code><a href="/en-US/docs/Web/CSS/width">width</a></code> determined using a <code><a href="/en-US/docs/Web/CSS/calc">calc()</a></code> function, then <code><a href="/en-US/docs/Web/API/Console/log">console.log()</a></code> the <code>operator</code>.</p>

<pre class="brush: html notranslate">&lt;div&gt;My width has a &lt;code&gt;calc()&lt;/code&gt; function&lt;/div&gt;
</pre>

<p>We assign a <code>width</code> with a calculation</p>

<pre class="brush: css notranslate">div {
  width: calc(50% - 0.5vw);
}</pre>

<p>We add the JavaScript</p>

<pre class="brush: js notranslate">const styleMap = document.querySelector('div').computedStyleMap();

console.log( styleMap.get('width') );                   // CSSMathSum {values: CSSNumericArray, operator: "sum"}
console.log( styleMap.get('width').values );            // CSSNumericArray {0: CSSUnitValue, 1: CSSMathNegate, length: 2}
console.log( styleMap.get('width').operator );          // 'sum'
console.log( styleMap.get('width').values[1].operator ) // 'negate'
</pre>

<p>{{EmbedLiveSample("Examples", 120, 300)}}</p>

<p>The <code>CSSMathValue.operator</code> returns <code>sum</code> for the equation and <code>negate</code> for the operator on the second value.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssmathvalue-operator','CSSMathValue.operator')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathValue.operator")}}</p>
